%define name smc
%define version 1.7
%define release %mkrel 4

Summary:	Secret Maryo Chronicles - a 2D platform game in classic style
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/smclone/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/smclone/SMC_music_4.0_high.zip
# Fix build with recent boost - AdamW 2008/10
Patch0:		smc-1.6-boost.patch
License:	GPLv3+
Group:		Games/Arcade
URL:		http://www.secretmaryo.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	CEGUI-devel SDL_ttf-devel SDL_mixer-devel SDL_image-devel boost-devel libpng-devel
BuildRequires:	imagemagick

%description
Secret Maryo Chronicles is an open source two-dimensional platform
game with a style designed similar to classic sidescroller games. It 
utilizes the platform independent library SDL and an OpenGL 
accelerated graphics renderer developed in C++.

%prep
%setup -q
# The same file is provided twice
yes no | unzip %{SOURCE1}
%patch0 -p1 -b .boost

%build
%configure2_5x
%make LDADD=-lpng

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Secret Maryo Chronicles
Comment=A 2D platform game in the classic style
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 1.7-4mdv2009.1
+ Revision: 361243
- rebuild for new boost

* Tue Dec 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-3mdv2009.1
+ Revision: 321366
- rebuild for CEGUI

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild with fixed cegui

* Mon Dec 29 2008 Zombie Ryushu <ryushu@mandriva.org> 1.7-1mdv2009.1
+ Revision: 320910
- Bump to version 1.7

* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 1.6-3mdv2009.1
+ Revision: 316562
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Dec 04 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-2mdv2009.1
+ Revision: 310003
- rebuild for new CEGUI

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-1mdv2009.1
+ Revision: 291785
- add boost.patch (fix build with recent boost)
- new release 1.6

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new boost

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2009.0
+ Revision: 269261
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Funda Wang <fundawang@mandriva.org> 1.5-1mdv2009.0
+ Revision: 210195
- do not need regernate
- New version 1.5

* Thu Dec 27 2007 Funda Wang <fundawang@mandriva.org> 1.4-1mdv2008.1
+ Revision: 138438
- link against png manually
- BR libpng
- autogen at first
- New version 1.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Funda Wang <fundawang@mandriva.org> 1.3-1mdv2008.1
+ Revision: 119640
- update to new version 1.3

* Wed Nov 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2008.1
+ Revision: 110839
- restore the %%setup dodge, now I understand why it's there...
- fd.o icons
- do %%configure2_5x in %%build, not %%prep
- use proper %%setup macro
- new license policy
- spec clean
- new release 1.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 04 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2008.0
+ Revision: 58953
- use a valid icon in desktop file

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.org> 1.0-1mdv2008.0
+ Revision: 57284
- own data directory
- add menu entry (#31070)
- improve description
- music 4.0
- new release 1.0

* Thu Apr 26 2007 Erwan Velu <erwan@mandriva.org> 0.99.6-2mdv2008.0
+ Revision: 18401
- Adding music

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.99.6-1mdv2008.0
+ Revision: 18257
- Adding buildrequires
- Import smc

